CoreFoundation.CFNumberType (JNA API)

com.sun.jna.platform.mac

## Enum CoreFoundation.CFNumberType

- java.lang.Object
- - java.lang.Enum<CoreFoundation.CFNumberType>
  - - com.sun.jna.platform.mac.CoreFoundation.CFNumberType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CoreFoundation.CFNumberType>
  Enclosing interface:
    CoreFoundation

      public static enum CoreFoundation.CFNumberType
      extends java.lang.Enum<CoreFoundation.CFNumberType>

  Enum of values used for `CoreFoundation.CFNumberType` in `CoreFoundation.CFNumberGetValue(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef, com.sun.jna.platform.mac.CoreFoundation.CFIndex, com.sun.jna.ptr.ByReference)` and `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)`. Use `typeIndex()` for the expected integer value corresponding to the C-style enum.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kCFNumberCFIndexType`
    `kCFNumberCGFloatType`
    `kCFNumberCharType`
    `kCFNumberDoubleType`
    `kCFNumberFloat32Type`
    `kCFNumberFloat64Type`
    `kCFNumberFloatType`
    `kCFNumberIntType`
    `kCFNumberLongLongType`
    `kCFNumberLongType`
    `kCFNumberMaxType`
    `kCFNumberNSIntegerType`
    `kCFNumberShortType`
    `kCFNumberSInt16Type`
    `kCFNumberSInt32Type`
    `kCFNumberSInt64Type`
    `kCFNumberSInt8Type`
    `unusedZero`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoreFoundation.CFIndex` | `typeIndex()` Index for the type of `CoreFoundation.CFNumberRef` stored.
    `static CoreFoundation.CFNumberType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CoreFoundation.CFNumberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### unusedZero

          public static final CoreFoundation.CFNumberType unusedZero

    - #### kCFNumberSInt8Type

          public static final CoreFoundation.CFNumberType kCFNumberSInt8Type

    - #### kCFNumberSInt16Type

          public static final CoreFoundation.CFNumberType kCFNumberSInt16Type

    - #### kCFNumberSInt32Type

          public static final CoreFoundation.CFNumberType kCFNumberSInt32Type

    - #### kCFNumberSInt64Type

          public static final CoreFoundation.CFNumberType kCFNumberSInt64Type

    - #### kCFNumberFloat32Type

          public static final CoreFoundation.CFNumberType kCFNumberFloat32Type

    - #### kCFNumberFloat64Type

          public static final CoreFoundation.CFNumberType kCFNumberFloat64Type

    - #### kCFNumberCharType

          public static final CoreFoundation.CFNumberType kCFNumberCharType

    - #### kCFNumberShortType

          public static final CoreFoundation.CFNumberType kCFNumberShortType

    - #### kCFNumberIntType

          public static final CoreFoundation.CFNumberType kCFNumberIntType

    - #### kCFNumberLongType

          public static final CoreFoundation.CFNumberType kCFNumberLongType

    - #### kCFNumberLongLongType

          public static final CoreFoundation.CFNumberType kCFNumberLongLongType

    - #### kCFNumberFloatType

          public static final CoreFoundation.CFNumberType kCFNumberFloatType

    - #### kCFNumberDoubleType

          public static final CoreFoundation.CFNumberType kCFNumberDoubleType

    - #### kCFNumberCFIndexType

          public static final CoreFoundation.CFNumberType kCFNumberCFIndexType

    - #### kCFNumberNSIntegerType

          public static final CoreFoundation.CFNumberType kCFNumberNSIntegerType

    - #### kCFNumberCGFloatType

          public static final CoreFoundation.CFNumberType kCFNumberCGFloatType

    - #### kCFNumberMaxType

          public static final CoreFoundation.CFNumberType kCFNumberMaxType

  - ### Method Detail

    - #### values

          public static CoreFoundation.CFNumberType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreFoundation.CFNumberType c : CoreFoundation.CFNumberType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreFoundation.CFNumberType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### typeIndex

          public CoreFoundation.CFIndex typeIndex()

      Index for the type of `CoreFoundation.CFNumberRef` stored.
      Returns:
        a `CoreFoundation.CFIndex` representing the enum ordinal.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.